import { ElMessage } from 'element-plus';
import request from '/@/utils/request';

/**
 * @summary 获取泵站
 */
export const GetLogicSiteStd = async (req: any = request) => {
	return req({
		url: '/Phm/Logic/Site/Std/GetAll@V1.0',
		method: 'GET',
	});
};

/**
 * 调用接口，返回泵站
 * 报错时返回 undefined
 * @returns
 */
export const getLogicSiteStd = async (req: any = request) => {
	const res = await GetLogicSiteStd(req).catch(() => {
		return undefined;
	});

	if (res?.Code === 0) {
		const resData = (res.Data || []) as [];
		return resData;
	} else {
		ElMessage.error('获取泵站失败' + (res?.Message ? `，${JSON.stringify(res.Message)}` : ''));
		return undefined;
	}
};
